curl -X DELETE \
'https://api.appcharge.com/v2/offer/checkout-link-1' \
-H 'Content-Type: application/json' \
-H 'x-publisher-token: <x-publisher-token>'
{
"offerId": "867f5b309118",
"publisherId": "35nb7861ec9924a6b69a0fe59",
"publisherOfferId": "checkout-link-1",
"name": "My Checkout Link Offer",
"displayName": "My Checkout Link Offer",
"type": "CheckoutLink",
"active": true,
"segments": [
"New User"
],
"productsSequence": [
{
"index": 1,
"playerAvailability": 12,
"products": [
{
"priority": "Sub",
"publisherProductId": "6cb43621ccf1",
"quantity": "100"
}
],
"priceInUsdCents": 1000,
"playerClickedTtl": 300
}
],
"badges": [
{
"publisherBadgeId": "22ac77ff889b"
}
],
"productSale": {
"type": "percentage",
"sale": 100
},
"priceDiscount": {
"type": "percentage",
"discount": 20
},
"description": "This is my checkout link offer description.",
"deeplinkUrl": "https://best-game.appcharge.com/login/campaign/YL2bAHqnuSMBhXIwMJbEM",
"createdAt": "2025-04-06T10:00:44.528Z",
"updatedAt": "2025-04-06T10:00:44.528Z"
}
Delete Checkout Link Offer
Deletes a checkout link offer.
curl -X DELETE \
'https://api.appcharge.com/v2/offer/checkout-link-1' \
-H 'Content-Type: application/json' \
-H 'x-publisher-token: <x-publisher-token>'
{
"offerId": "867f5b309118",
"publisherId": "35nb7861ec9924a6b69a0fe59",
"publisherOfferId": "checkout-link-1",
"name": "My Checkout Link Offer",
"displayName": "My Checkout Link Offer",
"type": "CheckoutLink",
"active": true,
"segments": [
"New User"
],
"productsSequence": [
{
"index": 1,
"playerAvailability": 12,
"products": [
{
"priority": "Sub",
"publisherProductId": "6cb43621ccf1",
"quantity": "100"
}
],
"priceInUsdCents": 1000,
"playerClickedTtl": 300
}
],
"badges": [
{
"publisherBadgeId": "22ac77ff889b"
}
],
"productSale": {
"type": "percentage",
"sale": 100
},
"priceDiscount": {
"type": "percentage",
"discount": 20
},
"description": "This is my checkout link offer description.",
"deeplinkUrl": "https://best-game.appcharge.com/login/campaign/YL2bAHqnuSMBhXIwMJbEM",
"createdAt": "2025-04-06T10:00:44.528Z",
"updatedAt": "2025-04-06T10:00:44.528Z"
}
curl -X DELETE \
'https://api.appcharge.com/v2/offer/checkout-link-1' \
-H 'Content-Type: application/json' \
-H 'x-publisher-token: <x-publisher-token>'
{
"offerId": "867f5b309118",
"publisherId": "35nb7861ec9924a6b69a0fe59",
"publisherOfferId": "checkout-link-1",
"name": "My Checkout Link Offer",
"displayName": "My Checkout Link Offer",
"type": "CheckoutLink",
"active": true,
"segments": [
"New User"
],
"productsSequence": [
{
"index": 1,
"playerAvailability": 12,
"products": [
{
"priority": "Sub",
"publisherProductId": "6cb43621ccf1",
"quantity": "100"
}
],
"priceInUsdCents": 1000,
"playerClickedTtl": 300
}
],
"badges": [
{
"publisherBadgeId": "22ac77ff889b"
}
],
"productSale": {
"type": "percentage",
"sale": 100
},
"priceDiscount": {
"type": "percentage",
"discount": 20
},
"description": "This is my checkout link offer description.",
"deeplinkUrl": "https://best-game.appcharge.com/login/campaign/YL2bAHqnuSMBhXIwMJbEM",
"createdAt": "2025-04-06T10:00:44.528Z",
"updatedAt": "2025-04-06T10:00:44.528Z"
}
Headers
The publisher token
Path Parameters
The offer ID provided by the publisher. This is the offer's External ID value in the Publisher Dashboard.
"checkout-link-1"
Response
Deleted offer.
Publisher ID.
The unique identifier of the checkout link offer.
The deeplink offer URL.
The checkout link offer ID provided by the publisher. This is the offer's External ID value in the Publisher Dashboard.
The checkout link offer name.
The type of offer - In this case 'CheckoutLink'.
Whether the checkout link offer is active.
List of player segments that this checkout link offer applies to (e.g., ["NewUser", "BigSpender"]).
The sequence of the products included in the offer.
Show child attributes
Show child attributes
The schedule for when the checkout link offer is available.
Show child attributes
Show child attributes
Date the checkout link offer was created.
Date the checkout link offer was updated.
Was this page helpful?
